Next: ATOMIC_ADD, Previous: ATAN2D, Up: Intrinsic Procedures [Contents][Index]

### 9.27 `ATANH` — Inverse hyperbolic tangent function

Description:

  `ATANH(X)` computes the inverse hyperbolic tangent of X.

Standard:

  Fortran 2008 and later

Class:

  Elemental function

Syntax:

  `RESULT = ATANH(X)`

Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:

  The return value has same type and kind as X. If X is complex, the imaginary part of the result is in radians and lies between -\pi/2 \leq \Im \atanh(x) \leq \pi/2.

Example:

      PROGRAM test_atanh
        REAL, DIMENSION(3) :: x = (/ -1.0, 0.0, 1.0 /)
        WRITE (*,*) ATANH(x)
      END PROGRAM

Specific names:

  Name | Argument | Return type | Standard
  `DATANH(X)` | `REAL(8) X` | `REAL(8)` | GNU extension

See also:

  Inverse function: TANH